## 已验证系统环境

|   架构    |     系统      |使用docker |
|:-------:|:-----------:|:-------:|
| aarch64 | alpine:3.19 |   🐳    |
| x86_64  | alpine:3.19 |   🐳    |
| x86_64  | windows 10  |         |

## 编译流程
### 1. 下载库
在仓库的发行版中 将 HikNetSDK 标签下的不同架构的 lib 放在源码根目录中
```shell
D:.
│  V6.1.9.45_build20220902_ArmLinux64_ZH_20240802154010_lib.zip
│  V6.1.9.48_build20230410_linux64_20240829112751_lib.zip
│  V6.1.9.48_build20230410_win64_20240829112623_lib.zip
```
### 2.1 编译 Linux 部分
将下载的zip压缩文件 `ArmLinux64` 和 `linux64` 在源码目录解压,然后重命名
```shell
V6.1.9.45···ArmLinux64···.zip   --解压后重命名为--> arm64_linux_lib
V6.1.9.48···linux64···.zip    --解压后重命名为--> amd64_linux_lib
```
### 2.2 编译 Windows 部分
将下载的zip压缩文件 `win64` 在源码目录解压,然后重命名
```shell
V6.1.9.45···win64···.zip   --解压后重命名为--> arm64_windows_lib
```
